Debian Bug report logs - #700001
chromium: Several new errors: `[ERROR:object_proxy.cc] Failed to get name owner. …`

version graph

Package: chromium; Maintainer for chromium is Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>; Source for chromium is src:chromium-browser.

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Thu, 7 Feb 2013 08:12:01 UTC

Severity: normal

Merged with 700542, 700889, 704492

Found in version chromium-browser/24.0.1312.68-1

Forwarded to http://code.google.com/p/chromium/issues/detail?id=174859

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#700001; Package chromium. (Thu, 07 Feb 2013 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Thu, 07 Feb 2013 08:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chromium: Several new errors: `[ERROR:object_proxy.cc] Failed to get name owner. …`
Date: Thu, 07 Feb 2013 09:09:14 +0100
[Message part 1 (text/plain, inline)]
Package: chromium
Version: 24.0.1312.68-1
Severity: normal
Control: forwarded -1 http://code.google.com/p/chromium/issues/detail?id=174859

Dear Debian folks,


upgrading from 22.0.1229.94~r161065+dfsg-0.1 to 24.0.1312.68-1, I see
the following messages printed to the Terminal window running
`chromium`.

        [15572:15594:0207/085606:ERROR:object_proxy.cc(608)] Failed to get name owner. Got org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.chromium.Mtpd': no such name
        [15572:15594:0207/085606:ERROR:object_proxy.cc(608)] Failed to get name owner. Got org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.chromium.Mtpd': no such name
        [15572:15572:0207/085606:ERROR:object_proxy.cc(513)] Failed to call method: org.chromium.Mtpd.EnumerateStorage: object_path= /org/chromium/Mtpd: org.freedesktop.DBus.Error.ServiceUnknown: The name org.chromium.Mtpd was not provided by any .service files

I did not get these messages with the earlier version
22.0.1229.94~r161065+dfsg-0.1.

Upstream this is tracked under the ID 174859 [1].


Thanks,

Paul


[1] http://code.google.com/p/chromium/issues/detail?id=174859

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages chromium depends on:
ii  chromium-inspector  24.0.1312.68-1
ii  gconf-service       3.2.5-1.1
ii  libasound2          1.0.25-4
ii  libatk1.0-0         2.4.0-2
ii  libbz2-1.0          1.0.6-4
ii  libc6               2.13-38
ii  libcairo2           1.12.2-3
ii  libcups2            1.5.3-2.14
ii  libdbus-1-3         1.6.8-1
ii  libevent-2.0-5      2.0.19-stable-3
ii  libexpat1           2.1.0-1
ii  libflac8            1.2.1-6
ii  libfontconfig1      2.9.0-7.1
ii  libfreetype6        2.4.9-1.1
ii  libgcc1             1:4.8-20121218-1
ii  libgconf-2-4        3.2.5-1.1
ii  libgcrypt11         1.5.0-3
ii  libgdk-pixbuf2.0-0  2.26.1-1
ii  libglib2.0-0        2.33.12+really2.32.4-5
ii  libgnome-keyring0   3.4.1-1
ii  libgtk2.0-0         2.24.10-2
ii  libjpeg8            8d-1
ii  libnspr4            2:4.9.4-2
ii  libnss3             2:3.14.1.with.ckbi.1.93-1
ii  libnss3-1d          2:3.14.1.with.ckbi.1.93-1
ii  libpango1.0-0       1.30.0-1
ii  libpulse0           2.0-6
ii  libspeex1           1.2~rc1-7
ii  libstdc++6          4.8-20121218-1
ii  libudev0            175-7.1
ii  libvpx1             1.1.0-1
ii  libx11-6            2:1.5.0-1
ii  libxcomposite1      1:0.4.3-2
ii  libxext6            2:1.3.1-2
ii  libxfixes3          1:5.0-4
ii  libxml2             2.8.0+dfsg1-7
ii  libxrandr2          2:1.3.2-2
ii  libxrender1         1:0.9.7-1
ii  libxslt1.1          1.1.26-14
ii  libxss1             1:1.2.2-1
ii  xdg-utils           1.1.0~rc1+git20111210-6

chromium recommends no packages.

Versions of packages chromium suggests:
pn  chromium-l10n  <none>

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'http://code.google.com/p/chromium/issues/detail?id=174859'. Request was from Paul Menzel <pm.debian@googlemail.com> to submit@bugs.debian.org. (Thu, 07 Feb 2013 08:12:04 GMT) Full text and rfc822 format available.

Merged 700001 700542 700889 Request was from Olivier Berger <oberger@ouvaton.org> to control@bugs.debian.org. (Tue, 12 Mar 2013 14:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#700001; Package chromium. (Tue, 02 Apr 2013 22:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Tue, 02 Apr 2013 22:03:07 GMT) Full text and rfc822 format available.

Message #14 received at 700001@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 704492@bugs.debian.org, 704492-submitter@bugs.debian.org, 700001@bugs.debian.org
Subject: Re: [Pkg-chromium-maint] Bug#704492: Acknowledgement (chromium: seeing the exactly same thing :()
Date: Tue, 2 Apr 2013 18:00:46 -0400
control: forcemerge 700001 -1

> [17687:17706:0402/185625:ERROR:object_proxy.cc(624)] Failed to get name
> owner. Got org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner
> of name 'org.chromium.Mtpd': no such name
> [17687:17706:0402/185625:ERROR:object_proxy.cc(624)] Failed to get name
> owner. Got org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner
> of name 'org.chromium.Mtpd': no such name
> [17687:17687:0402/185625:ERROR:object_proxy.cc(529)] Failed to call
> method: org.chromium.Mtpd.EnumerateStorages: object_path=
> /org/chromium/Mtpd: org.freedesktop.DBus.Error.ServiceUnknown: The name
> org.chromium.Mtpd was not provided by any .service files

This could be a missing library of some sort.  I notice that the
upstream bug mentions using the awesome window manager.  What are you
all using?

Best wishes,
Mike



Merged 700001 700542 700889 Request was from Michael Gilbert <mgilbert@debian.org> to 700001-submit@bugs.debian.org. (Tue, 02 Apr 2013 22:03:07 GMT) Full text and rfc822 format available.

Merged 700001 700542 700889 704492 Request was from Michael Gilbert <mgilbert@debian.org> to 704492-submit@bugs.debian.org. (Tue, 02 Apr 2013 22:03:18 GMT) Full text and rfc822 format available.

Merged 700001 700542 700889 704492 Request was from Michael Gilbert <mgilbert@debian.org> to 704492-submitter@bugs.debian.org. (Tue, 02 Apr 2013 22:03:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#700001; Package chromium. (Wed, 03 Apr 2013 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Wed, 03 Apr 2013 09:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 700001@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: Michael Gilbert <mgilbert@debian.org>
Cc: 700001@bugs.debian.org
Subject: Re: Bug#704492: [Pkg-chromium-maint] Bug#704492: Acknowledgement (chromium: seeing the exactly same thing :()
Date: Wed, 3 Apr 2013 10:56:10 +0200 (CEST)
On Tue, 2 Apr 2013, Michael Gilbert wrote:
>
> control: forcemerge 700001 -1
>
> > [17687:17706:0402/185625:ERROR:object_proxy.cc(624)] Failed to get name
> > owner. Got org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner
> > of name 'org.chromium.Mtpd': no such name
> > [17687:17706:0402/185625:ERROR:object_proxy.cc(624)] Failed to get name
> > owner. Got org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner
> > of name 'org.chromium.Mtpd': no such name
> > [17687:17687:0402/185625:ERROR:object_proxy.cc(529)] Failed to call
> > method: org.chromium.Mtpd.EnumerateStorages: object_path=
> > /org/chromium/Mtpd: org.freedesktop.DBus.Error.ServiceUnknown: The name
> > org.chromium.Mtpd was not provided by any .service files
>
> This could be a missing library of some sort.

Hmm...  But in what way would then proxy, dbus, and org.chromium.Mtpd
be related?

> I notice that the upstream bug mentions using the awesome window
> manager.

And assumes the WM (gnome?) magic would know about/serve all those
things?  Sounds insane.  Please note (#704492) that it seems to _screw
up my profile_ too.

> What are you all using?

wmaker here, FWIW.

It seems the errors shown above have nothing to do with the real
problem.  Some posts suggest the problem is related to audio.  Some
old posts (april 2011) show those errors too.

A more interesting thread:

	https://code.google.com/p/chromium/issues/detail?id=224794

indicates problems related to the proprietary nvidia driver.

Can you suggest some way to attempt to find out what's really failing?
What log-files are most probable to show the real error?


Cheers,

-- 
Cristian



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#700001; Package chromium. (Thu, 04 Apr 2013 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Thu, 04 Apr 2013 00:42:04 GMT) Full text and rfc822 format available.

Message #30 received at 700001@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
Cc: 700001@bugs.debian.org
Subject: Re: Bug#704492: [Pkg-chromium-maint] Bug#704492: Acknowledgement (chromium: seeing the exactly same thing :()
Date: Wed, 3 Apr 2013 20:39:37 -0400
> And assumes the WM (gnome?) magic would know about/serve all those
> things?  Sounds insane.  Please note (#704492) that it seems to _screw
> up my profile_ too.
[...]
> Can you suggest some way to attempt to find out what's really failing?
> What log-files are most probable to show the real error?

I don't respond well to unkindness, so I guess you're on your own.

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#700001; Package chromium. (Sat, 04 May 2013 18:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 700001@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 04 May 2013 18:12:04 GMT) Full text and rfc822 format available.

Message #35 received at 700001@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: 700001@bugs.debian.org
Subject: Re: Bug#704492: [Pkg-chromium-maint] Bug#704492: Acknowledgement (chromium: seeing the exactly same thing :()
Date: Sat, 4 May 2013 20:08:53 +0200 (CEST)
On Wed, 3 Apr 2013, Michael Gilbert wrote:
>
> > And assumes the WM (gnome?) magic would know about/serve all those
> > things?  Sounds insane.  Please note (#704492) that it seems to _screw
> > up my profile_ too.
> [...]
> > Can you suggest some way to attempt to find out what's really failing?
> > What log-files are most probable to show the real error?
>
> I don't respond well to unkindness,

You don't.  It's still just a package.  Nothing presonal.

> so I guess you're on your own.

Thanks anyway :/

FWIW, there seems to be (at least) 2 problems here:

1. "Your profile could not be opened correctly"
   I followed the hint here:
	http://www.fourleaftechnology.com/index.php/General/google-chrome-profile-could-not-be-opened-correctly-error.html
   and removed the Web\ Data* files
2. I'm using privoxy and run chromium (among other options) with:
	--proxy-server=localhost:8118
   * that gave me a confusing error message about not being able to
     connect to that proxy
   * changing the /etc/privoxy/config:
	listen-address localhost:8118 -> listen-address 127.0.0.1:8118
     made chromium behave;
   * looks like privoxy may be at fault here, but I didn't dig

The error message:
	Failed to get name owner. Got
	org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of
	name 'org.chromium.Mtpd': no such name
is still there, but does not seem to affect functionality.


Cheers,

-- 
Cristian



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#700001; Package chromium. (Sun, 05 May 2013 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sun, 05 May 2013 10:51:04 GMT) Full text and rfc822 format available.

Message #40 received at 700001@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: 700001@bugs.debian.org
Subject: Re: Bug#704492: [Pkg-chromium-maint] Bug#704492: Acknowledgement (chromium: seeing the exactly same thing :()
Date: Sun, 5 May 2013 12:49:46 +0200 (CEST)
On Sat, 4 May 2013, Cristian Ionescu-Idbohrn wrote:
>
> 2. I'm using privoxy and run chromium (among other options) with:
> 	--proxy-server=localhost:8118
>    * that gave me a confusing error message about not being able to
>      connect to that proxy
>    * changing the /etc/privoxy/config:
> 	listen-address localhost:8118 -> listen-address 127.0.0.1:8118
>      made chromium behave;
>    * looks like privoxy may be at fault here, but I didn't dig

After a closer look, I found chromium being no longer able to cope with
an IPv6 localhost :(

	Unable to connect to the proxy server
	(and making suggestions that are not applicable)

I had to modify /etc/hosts (and comment out IPv6):

---
127.0.0.1	localhost

...

# The following lines are desirable for IPv6 capable hosts
#::1     localhost ip6-localhost ip6-loopback
#ff02::1 ip6-allnodes
#ff02::2 ip6-allrouters
---


Cheers,

-- 
Cristian



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:43:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.